#
# spec file for package perl-DateTime-Format-Flexible
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-DateTime-Format-Flexible
Version:        0.32
Release:        lp152.1.1
%define cpan_name DateTime-Format-Flexible
Summary:        DateTime::Format::Flexible - Flexibly parse strings and turn them into D[cut]
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TH/THINC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Builder) >= 0.74
BuildRequires:  perl(DateTime::TimeZone)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::MockTime)
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::Builder) >= 0.74
Requires:       perl(DateTime::TimeZone)
Requires:       perl(List::MoreUtils)
Requires:       perl(Module::Pluggable)
%{perl_requires}

%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

_DateTime::Format::Flexible_ attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example README TODO
%license LICENSE

%changelog
* Mon Sep 16 2019 <timueller+perl@suse.de>
- updated to 0.32
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
  0.32 Sat Sep 14 2019
  - add support for offset timezones without a space separator and formatted HH:MM '2019-09-03T10:42:00.000-04:00'
  - thanks Stijn Heymans
  - allow negative timezone offsets in 2 and 4 digit lengths with and without spaces
  - now works: 2007-05-06T04:44:44-0800
  - now works: 2007-05-06T04:44:44-08
  - now works: 2007-05-06T04:44:44 -08
  - validate all timezone offsets
* Wed Sep 19 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.31
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
* Sat Mar 10 2018 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
* Fri Feb 23 2018 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
  0.29 Web Feb 21 2018
  - add support for 19 February 2018 at 10:33
  - thanks Rod Taylor rt #124520
* Fri Mar 24 2017 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
* Tue Mar  7 2017 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
  0.27
  - support a single lang as a string instead of requiring an arrayref (DWIM)
  - example: lang => 'en'
  - add support for:
  - "next (weekday)" eg: next sunday
  - "last (weekday)" eg: last sunday
  - "next (month)" eg: next january
  - "last (month)" eg: last january
  - "(x unit) from now" eg: 3 years from now
  - "(-x unit)" eg: -3 months
  - "(+x unit)" eg: +3 months
  - "YYMMDD HH:MM:SS" eg: 950404 00:22:12
  - "YYMMDD HH:MM:SS.NS" eg: 950404 00:22:12.500
  - "Mon D HH:MM:SS.NS TZ YYYY" eg: Fri Dec  2 22:56:03.500 GMT+0 1994
  - thanks David White rt #105178, tests from Time::ParseDate
  - when we have a leading month that is 0 (zero) and we have a year, assume it is supposed to be october (10)
  - thanks Dave Musakhanyan
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.26
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
  0.26 Tue Apr 22 2014
  - support "MM/DD/YYYY HH:MM" (missing seconds),
  - support "EEE MMM dd HH:mm:ss z yyyy" (UTC timezone inside string)
  - thanks David White rt #94911
  0.25 Mon Mar 04 2013
  - support "HH:MM::SS timezone YYYY/MM/DD"
  - thanks Kevin Zwack
  0.24 Mon Nov 26 2012
  - fix removal of 'am' in the german language file when we already know what part is the time part
  - fix removal of 'st' when not preceded by a digit
  - thanks Andreas Koenig rt #81432
  - support "YYYYMMDD timezone"
  0.23 Thu Jun 14 2012
  - Fix for MM/YYYY (was always setting the base year)
  - thanks John Marling
  - Support MM/YY if MMYY is given as an option
  - pod cleanup
  0.22 Mon Jun 11 2012
  - update GPL in the LICENSE file (apparently the FSF has a new address)
  - thanks ppisar rt #74363
  - update POD to match the license file
  - thanks ppisar rt #74358
  - fix typo for saturday in the german language file
  - thanks TMUELLER rt #77721
  - don't check the language extensions if we don't have any non-digits in the string we are checking (excluding delimiters: \/-.:[space])
  - fix typos in the pod documentation, add a link to the german translations
  - add support and more tests for some time-first formats
  - add support for GMT timezone anywhere in the date/time string
  0.21 Sun Jan 01 2012
  - handle mm/yyyy and m/yyyy
  0.20 Sun Sep 18 2011
  - case insensitive handling of st|nd|rd|th (3rd and 3RD now work)
  - thanks Brett Carson
  0.19 Fri Jan 07 2011
  - support for German (de)
  - thanks Mark Trettin
  - better support for DD MM
  - support for natural dates in all languages (3 years ago)
  0.18 Sat Jan 01 2011
  - move a test that was hardcoded to a year to the no_year tests.
  - thanks cpantesters
  0.17 Tue Oct 26 2010
  - more formats supported
  - support timezone offsets that are not at the end of the datetime string.
  - they must be 4 digits and begin with a plus or minus
  - thanks snarkyboojum: http://use.perl.org/use.perl.org/_snarkyboojum/journal/40297.html
  - better support for dates like 'December 1st'
  - POD formatting fixes
  - support 'Oct.26, 2010'.
  - thanks Brian Knapp
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-DateTime-Format-Flexible/Changes
  0.20 Sun Sep 18 2011
  - case insensitive handling of st|nd|rd|th (3rd and 3RD now work)
  - thanks Brett Carson
  0.19 Fri Jan 07 2011
  - support for German (de)
  - thanks Mark Trettin
  - better support for DD MM
  - support for natural dates in all languages (3 years ago)
  0.18 Sat Jan 01 2011
  - move a test that was hardcoded to a year to the no_year tests.
  - thanks cpantesters
  0.17 Tue Oct 26 2010
  - more formats supported
  - support timezone offsets that are not at the end of the datetime string.
  - they must be 4 digits and begin with a plus or minus
  - thanks snarkyboojum: http://use.perl.org/~snarkyboojum/journal/40297
  - better support for dates like 'December 1st'
  - POD formatting fixes
  - support 'Oct.26, 2010'.
  - thanks Brian Knapp
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- update to 0.16:
  * make sure 'now' means now and not when the module loaded unless user has set a base [RT#60731]
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.15)
